Name: freeswan
Version: 1.99
Release: alt1

Summary: A Free IPSEC implemetation
Group: Security/Networking
License: GPL
Url: http://www.%name.org/

Source: ftp://ftp.xs4all.nl/pub/crypto/%name/%name-%version.tar.bz2
Source1: %name.init

# Automatically added by buildreq on Thu Mar 01 2001
BuildRequires: libgmp-devel libstdc++-devel

%description
The basic idea of IPSEC is to provide security functions
(authentication and encryption) at the IP (Internet Protocol)
level. It will be required in IP version 6 (better known as IPng,
the next generation) and is optional for the current IP, version 4.

FreeS/WAN is a freely-distributable implementation of IPSEC protocol.

%prep
%setup -q

# we use /etc/freeswan instead of /etc
grep -r /etc/ipsec.secrets * | awk '{ print $1 }' | sed -e 's|:.*$|\1|' | xargs perl -p -i -e 's|/etc/ipsec.secrets|/etc/freeswan/ipsec.secrets|';
grep -r /etc/ipsec.conf * | awk '{ print $1 }' | sed -e 's|:.*$|\1|' | xargs perl -p -i -e 's|/etc/ipsec.conf|/etc/freeswan/ipsec.conf|';
grep -r /etc/ipsec.d * | awk '{ print $1 }' | sed -e 's|:.*$|\1|' | xargs perl -p -i -e 's|/etc/ipsec.d|/etc/freeswan/ipsec.d|';

%build
%make_build programs \
	OPT_FLAGS="$RPM_OPT_FLAGS" \
	INC_USRLOCAL=%prefix \
	INC_MANDIR=share/man \
	FINALCONFDIR=%_sysconfdir/%name

%install
%make_install install \
	DESTDIR="$RPM_BUILD_ROOT" \
	INC_USRLOCAL=%prefix \
	INC_MANDIR=share/man \
	FINALCONFDIR=%_sysconfdir/%name \
	CONFDIR="$RPM_BUILD_ROOT%_sysconfdir/%name"
install -pm755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/ipsec

%post
%post_service ipsec

%preun
%preun_service ipsec

%files
%config(noreplace) %_sysconfdir/%name/ipsec.*
%config(noreplace) %_initdir/*
%_sbindir/*
%_libdir/ipsec
%_mandir/man?/*
%doc BUGS CREDITS CHANGES README doc/{examples,iab-iesg.stmt,impl.notes,prob.report,standards,*.html}
%exclude %_libdir/ipsec/send-pr

%changelog
* Thu Nov 21 2002 Kachalov Anton <mouse@altlinux.ru> 1.99-alt1
- 1.99

* Mon Apr 01 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.96-alt1
- 1.96
- Fixed typo in startup script.

* Mon Mar 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.95-alt3
- Fixed %%files list.

* Wed Mar 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.95-alt2
- Rewritten startup script.

* Tue Mar 05 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.95-alt1
- 1.95

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.91-alt1
- 1.91
 
* Tue Apr 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.9-alt1
- 1.9

* Thu Mar 01 2001 Dmitry V. Levin <ldv@fandra.org> 1.8-ipl2
- Fixed Summary, Group, Description and other tags.

* Thu Dec 21 2000 Dmitry V. Levin <ldv@fandra.org> 1.8-ipl1
- Initial revision.
